{ config, pkgs, ... }:

{
    home.stateVersion = "24.11";
    targets.genericLinux.enable = true;
    nixpkgs.config.allowUnfree = true;

    programs.bash.enable = true;
    programs.neovim.enable = true;
    programs.home-manager.enable = true;

    programs.git = {
        enable = true;
        userName = "Thomas Avé";
        userEmail = "email@thomasave.be";
    };

    home.packages = with pkgs; [
        htop
    ];

    programs.zsh = {
        enable = true;
        enableCompletion = true;
        syntaxHighlighting.enable = true;

        shellAliases = {
            ll = "ls -lhat";
        };
        history.size = 10000;
        history.path = "${config.xdg.dataHome}/zsh/history";
    };
}
